Package: groovy.org.codenarc.rule.unused

## [Groovy] Class UnusedPrivateMethodAstVisitor

- groovy.org.codenarc.rule.unused.UnusedPrivateMethodAstVisitor

- - ### Constructor Summary

    Constructors
    Constructor and description
    `UnusedPrivateMethodAstVisitor (Map<String, org.codehaus.groovy.ast.MethodNode> unusedPrivateMethods, List<String> classNames)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visitMethodCallExpression(org.codehaus.groovy.ast.expr.MethodCallExpression expression)`
    `` | `void` | `visitMethodPointerExpression(org.codehaus.groovy.ast.expr.MethodPointerExpression methodPointerExpression)`
    `` | `void` | `visitPropertyExpression(org.codehaus.groovy.ast.expr.PropertyExpression expression)`
    `` | `void` | `visitVariableExpression(org.codehaus.groovy.ast.expr.VariableExpression expression)`

- - ### Constructor Detail

    - #### UnusedPrivateMethodAstVisitor(Map<String, org.codehaus.groovy.ast.MethodNode> unusedPrivateMethods, List<String> classNames)

  - ### Method Detail

    - #### void visitMethodCallExpression(org.codehaus.groovy.ast.expr.MethodCallExpression expression)

    - #### void visitMethodPointerExpression(org.codehaus.groovy.ast.expr.MethodPointerExpression methodPointerExpression)

    - #### @Override void visitPropertyExpression(org.codehaus.groovy.ast.expr.PropertyExpression expression)

    - #### @Override void visitVariableExpression(org.codehaus.groovy.ast.expr.VariableExpression expression)